# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "orpc-client"
version = "1.1.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "HTTP client for orpc-rs RPC servers"
readme = "README.md"
license = "MIT"
repository = "https://github.com/ahonn/orpc-rs"
resolver = "2"

[lib]
name = "orpc_client"
path = "src/lib.rs"

[[test]]
name = "service_macro"
path = "tests/service_macro.rs"

[dependencies.bytes]
version = "1"

[dependencies.futures-core]
version = "0.3"

[dependencies.orpc]
version = "1.1.0"

[dependencies.pin-project-lite]
version = "0.2"

[dependencies.reqwest]
version = "0.12"
features = [
    "json",
    "stream",
]

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1"

[dev-dependencies.futures-util]
version = "0.3"

[dev-dependencies.tokio]
version = "1"
features = [
    "rt",
    "macros",
    "rt",
    "macros",
]
